Subject: Re: [dispatch] [Last-Call] Genart last call review of draft-ietf-dispatch-javascript-mjs-10

From: Lars Eggert <[email-masked]>
Date: Mon, 3 Jan 2022 11:40:21 +0200

Robert, thank you for your review. I have entered a No Objection ballot for this document.

Lars

> On 2021-11-11, at 23:29, Robert Sparks via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Robert Sparks
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-dispatch-javascript-mjs-10
> Reviewer: Robert Sparks
> Review Date: 2021-11-11
> IETF LC End Date: 2021-11-15
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: Ready (but with nits) for publication as an Informational RFC
> 
> The number of messages in the archive about the draft are impressive, if not
> daunting. Apologies if any of my nits tread old ground.
> 
> I'm glad this has seen attention from many people better with i18n than I am.
> 
> I'm curious why the registrations choose to declare the .mjs extension in
> anything but the now preferred type. If they're in all the obsoleted type
> registrations because they're used in the wild with those types, fine. But if
> it was a template replication process that put them there, maybe reconsider?
> 
> I agree with Mark that the form and repetition of variants of 'not part of this
> document' is unusual. Consider saying it less, and maybe consolidating what you
> do need to say.
> 
> There are a few places where the document says implementations or scripts MUST
> consider something. Neither of those things can consider. Please consider
> rephrasing those to speak of the implementers or script creators. This is also
> not a great use of 2119/8174 terms. Think about using plain words instead.
> 
> The last sentence of the second paragraph of section 3 doesn't fit with the
> first. Perhaps it should stand alone.
> 
> Please point explicitly to the types registry in the text of the document.
> 
> Micro-nit: search for timin`g
> 
> 
> 
> --
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call